#!/bin/sh
#
# cat and sort AFS 

 base=can2023_cb05_v1
 run_type=reg_ont

 afs_path=/ei/point/rpo_eps3/afs/reg_ont/no_zeros
 out_path=/ei/point/rpo_eps3/afs/reg_ont

# canada_2006 - 10Oct2011
# dummy.cb6p - 30Aug2016 - to test EPS3 handling of speciated canada file
# can2010_cb05 - 20Sep2016 - 2010 Canada CB05-speciated file afs.2010CanadaCB05species.RPOlcp processed with fix_can2010_afs.pl
# can2010_cb05_v2 -11Apr2017 - 2010 Canada CB05-speciated file afs.2010CanadaCB05species_v2.RPOlcp processed with fix_can2010_afs.pl
# can2023_cb05_v1 - 03May2017 - 2023 Canada CB05-speciated file afs.2023CanadaCB05species_v1.RPOlcp, then processed with fix_can2010_afs.pl

afs_file1=$afs_path/new.afs.2023CanadaCB05species_v1.RPOlcp_nozeros

 ls -l $afs_file1

 rm -f  tmp.$yymmdd
     
 afs_file=afs.$run_type.$base

 echo
 echo "start sorting"

##sort  $afs_file -t ! -b -k 1.12,1.16 -k 1.40,1.44 -k 1.45,1.48 -k 1.50,1.52 -k 1.29,1.38 -k 1.156,1.160 > $afs_file.sort
# below is new linux sort for eps3
# sort  tmp.$yymmdd -t ! -b -k 1.12,1.16 -k 1.40,1.49 -k 1.50,1.59 -k 1.60,1.69 -k 1.29,1.38 -k 1.176,1.180 > $afs_file.sort
  sort  $afs_file1  -t ! -b -k 1.12,1.16 -k 1.40,1.49 -k 1.51,1.60 -k 1.62,1.71 -k 1.29,1.38 -k 1.176,1.180 -o $afs_file

wc -l $afs_file1 
wc -l $afs_file

exit
